---
title: "helixRevolutions"
excerpt: "Create a helix on a cylinder."
layout: manual
---

Create a helix on a cylinder.



```js
helixRevolutions(data: HelixRevolutionsData, solid: Solid) -> Solid
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `data` | [`HelixRevolutionsData`](/docs/kcl/types/HelixRevolutionsData) | Data for helix revolutions. | Yes |
| `solid` | [`Solid`](/docs/kcl/types/Solid) | An solid is a collection of extrude surfaces. | Yes |

### Returns

[`Solid`](/docs/kcl/types/Solid) - An solid is a collection of extrude surfaces.


### Examples

```js
part001 = startSketchOn('XY')
  |> circle({ center = [5, 5], radius = 10 }, %)
  |> extrude(length = 10)
  |> helixRevolutions({
       angleStart = 0,
       ccw = true,
       revolutions = 16
     }, %)
```

![Rendered example of helixRevolutions 0](data:image/png;base64,[encoded data, 188680 characters])


